'use strict';

/*global
 jQuery
 */

/**
 * File main.js
 *
 * Theme enhancements for a better user experience.
 */
(function($) {

    $(document).ready(function() {


        /**
         * Scroll to href anchor.
         */

        $('a[href*="#"]').not('[href="#"]').not('[href="#0"]').not('[href*="#tab-"]').not('[href*="tab"]').not('[href*="link"]').not('[role="tab"]').not('#cancel-comment-reply-link').on('click', function(event) {
            var isLocation = location.pathname.replace(/^\//, '') === this.pathname.replace(/^\//, '') && location.hostname === this.hostname && location.search === this.search;
            var target     = $(this.hash);

            target = target.length ? target : $('[name=' + this.hash.slice(1) + ']');

            if (isLocation) {
                if (target.length) {
                    event.preventDefault();
                    $('html, body').animate({
                        scrollTop: target.offset().top
                    }, 1000, function() {
                        var $target = $(target);
                        $target.focus();
                        if ($target.is(':focus')) {
                            return false;
                        } else {
                            $target.attr('tabindex', '-1');
                            $target.focus();
                        }
                    });
                }
            }
        });


		/**
		 * Bootstrap tooltip init
		 */

		$( function() {
			$( '[data-toggle="tooltip"]' ).tooltip({
				trigger: 'hover',
				delay: { "show": 0, "hide": 0 },
			});
		} );


        /**
         * Bootstrap popover init.
         */

        $(function() {
            $('[data-toggle="popover"]').popover();
        });

    });

}(jQuery));
