<?php
/**
 * Denver functions and definitions.
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package denver
 */

define( 'DENVER_VERSION', '1.1.1' );

/**
 * Initialize all the things.
 */
global $denver;
$denver = require get_template_directory() . '/inc/class-denver.php';

/**
 * Custom template hooks and functions for this theme.
 */
require get_template_directory() . '/inc/template-functions.php';
require get_template_directory() . '/inc/template-hooks.php';

// Initialize plugin update checker.
require 'libs/plugin-update-checker/plugin-update-checker.php';
Puc_v4_Factory::buildUpdateChecker(
	'https://files.themosaurus.com/denver/version.json',
	__FILE__,
	'denver'
);

/**
 * Plugins integration.
 */
if ( class_exists( 'Kirki' ) ) {
	global $denver_kirki;
	$denver_kirki = require get_template_directory() . '/inc/kirki/class-denver-kirki.php';
}

if ( class_exists( 'Grimlock' ) ) {
	global $denver_grimlock;
	$denver_grimlock = require get_template_directory() . '/inc/grimlock/class-denver-grimlock.php';
	require get_template_directory() . '/inc/grimlock/grimlock-template-functions.php';
	require get_template_directory() . '/inc/grimlock/grimlock-template-hooks.php';
}

if ( class_exists( 'Grimlock_Mixitup' ) ) {
	global $denver_grimlock_mixitup;
	$denver_grimlock_mixitup = require get_template_directory() . '/inc/grimlock-mixitup/class-denver-grimlock-mixitup.php';
}

if ( class_exists( 'Grimlock_The_Events_Calendar' ) ) {
	global $denver_grimlock_the_events_calendar;
	$denver_grimlock_the_events_calendar = require get_template_directory() . '/inc/grimlock-the-events-calendar/class-denver-grimlock-the-events-calendar.php';
}

if ( class_exists( 'Jetpack' ) ) {
	global $denver_jetpack;
	$denver_jetpack = require get_template_directory() . '/inc/jetpack/class-denver-jetpack.php';
	require get_template_directory() . '/inc/jetpack/jetpack-template-hooks.php';
}

if ( function_exists( 'WC' ) ) {
	global $denver_woocommerce;
	$denver_woocommerce = require get_template_directory() . '/inc/woocommerce/class-denver-woocommerce.php';
	require get_template_directory() . '/inc/woocommerce/woocommerce-template-functions.php';
	require get_template_directory() . '/inc/woocommerce/woocommerce-template-hooks.php';
}

if ( function_exists( 'buddypress' ) ) {
	global $denver_buddypress;
	$denver_buddypress = require get_template_directory() . '/inc/buddypress/class-denver-buddypress.php';
}

if ( function_exists( 'wp_pagenavi' ) ) {
	require get_template_directory() . '/inc/wp-pagenavi/wp-pagenavi-template-hooks.php';
}

if ( function_exists( 'yoast_breadcrumb' ) ) {
	require get_template_directory() . '/inc/wordpress-seo/wordpress-seo-template-functions.php';
	require get_template_directory() . '/inc/wordpress-seo/wordpress-seo-template-hooks.php';
}

if ( class_exists( 'Projects' ) ) {
	require get_template_directory() . '/inc/projects-by-woothemes/projects-by-woothemes-template-functions.php';
	require get_template_directory() . '/inc/projects-by-woothemes/projects-by-woothemes-template-hooks.php';
}

/**
 * Note: Do not add any custom code here. Please use a custom plugin or a child theme
 * so that your customizations aren't lost during updates.
 *
 * @link https://doc.themosaurus.com/creating-child-theme/
 */
