<?php
/**
 * Denver_BuddyPress Class
 *
 * @author   Themosaurus
 * @since    1.0.0
 * @package  denver
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'Denver_BuddyPress' ) ) :
	/**
	 * The main Denver_BuddyPress class
	 */
	class Denver_BuddyPress {
		/**
		 * Setup class.
		 *
		 * @since 1.0.0
		 */
		public function __construct() {
			add_filter( 'bp_before_groups_cover_image_settings_parse_args',   array( $this, 'change_cover_image_settings' ), 10, 1 );
			add_filter( 'bp_before_xprofile_cover_image_settings_parse_args', array( $this, 'change_cover_image_settings' ), 10, 1 );
		}

		/**
		 * Change the settings of the BuddyPress cover image.
		 *
		 * @param array $settings The array of default settings for the BuddyPress cover image.
		 *
		 * @return array          The array of settings for the BuddyPress cover image.
		 */
		public function change_cover_image_settings( $settings = array() ) {
			$settings['width']  = 1200;
			$settings['height'] = 350;
			return $settings;
		}
	}
endif;

return new Denver_BuddyPress();
