<?php
/**
 * Denver Grimlock The Events Calendar Class
 *
 * @package denver
 * @author  Themosaurus
 * @since   1.1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'Denver_Grimlock_The_Events_Calendar' ) ) :
	/**
	 * The Denver Grimlock The Events Calendar integration class
	 */
	class Denver_Grimlock_The_Events_Calendar {
		/**
		 * Setup class.
		 *
		 * @since 1.1.0
		 */
		public function __construct() {
			add_filter( 'grimlock_the_events_calendar_tribe_events_section_widget_post_thumbnail_size', array( $this, 'change_tribe_events_section_widget_post_thumbnail_size' ), 10, 3 );
		}

		/**
		 * Change the post thumbnail size for custom WP queries.
		 *
		 * @since 1.1.0
		 *
		 * @param string $size         The post thumbnail size.
		 * @param string $posts_layout The layout for posts.
		 * @param string $post_type    The post type.
		 *
		 * @return string              The changed post thumbnail size.
		 */
		public function change_tribe_events_section_widget_post_thumbnail_size( $size, $posts_layout, $post_type ) {
			return "thumbnail-{$posts_layout}";
		}
	}
endif;

return new Denver_Grimlock_The_Events_Calendar();
