<?php
/**
 * Denver Kirki Class
 *
 * @link https://aristath.github.io/kirki/
 *
 * @package  denver
 * @author   Themosaurus
 * @since    1.0.0
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'Denver_Kirki' ) ) :
	/**
	 * The Denver Kirki integration class
	 */
	class Denver_Kirki {
		/**
		 * Setup class.
		 *
		 * @since 1.0.0
		 */
		public function __construct() {

			require_once get_template_directory() . '/inc/kirki/class-kirki-modules-webfonts-link.php';
			add_filter( 'kirki_googlefonts_load_method', array( $this, 'change_fonts_load_method' ), 10, 1 );
		}

		/**
		 * Change the webfonts load method to avoid FOUT
		 *
		 * @param string $method The current webfonts load method.
		 *
		 * @return string The new webfonts load method.
		 */
		public function change_fonts_load_method( $method ) {
			return 'link';
		}
	}
endif;

return new Denver_Kirki();
