<?php
/**
 * Denver template hooks.
 *
 * @package denver
 */

/**
 * Header Hooks
 *
 * @see denver_header()
 *
 * @since 1.0.0
 */
add_action( 'denver_header', 'denver_header', 10 );

/**
 * Footer Hooks
 *
 * @see denver_footer()
 *
 * @since 1.0.0
 */
add_action( 'denver_footer', 'denver_footer', 10 );

/**
 * Sidebar Hooks
 *
 * @see denver_sidebar_left()
 * @see denver_sidebar_right()
 *
 * @since 1.0.0
 */
add_action( 'denver_sidebar_left',  'denver_sidebar_left',  10 );
add_action( 'denver_sidebar_right', 'denver_sidebar_right', 10 );

/**
 * Before Posts Hooks
 *
 * @see denver_before_posts()
 *
 * @since 1.0.0
 */
add_action( 'denver_before_posts', 'denver_before_posts', 10 );

/**
 * After Posts Hooks
 *
 * @see denver_after_posts()
 *
 * @since 1.0.0
 */
add_action( 'denver_after_posts', 'denver_after_posts',   10 );
add_action( 'denver_after_posts', 'the_posts_navigation', 20 );

/**
 * Post Hooks
 *
 * @see denver_post()
 *
 * @since 1.0.0
 */
add_action( 'denver_post', 'denver_post', 10 );

/**
 * Search Post Hooks
 *
 * @see denver_search_post()
 *
 * @since 1.0.0
 */
add_action( 'denver_search_post', 'denver_search_post', 10 );

/**
 * Single Post Hooks
 *
 * @see denver_single()
 *
 * @since 1.0.0
 */
add_action( 'denver_single',              'denver_single',       10 );
add_action( 'denver_the_post_navigation', 'the_post_navigation', 10 );

/**
 * Page Hooks
 *
 * @see denver_page()
 *
 * @since 1.0.0
 */
add_action( 'denver_page', 'denver_page', 10 );

/**
 * 404 Page Hooks
 *
 * @see denver_404()
 *
 * @since 1.1.0
 */
add_action( 'denver_404', 'denver_404', 10 );

/**
 * Other Hooks
 *
 * @see denver_nav_menu_css_class()
 * @see denver_get_the_archive_title()
 *
 * @since 1.0.0
 */
add_filter( 'nav_menu_css_class',    'denver_nav_menu_css_class',    10, 4 );
add_filter( 'get_the_archive_title', 'denver_get_the_archive_title', 10, 1 );
