<?php
/**
 * Denver_WooCommerce Class
 *
 * @author   Themosaurus
 * @since    1.0.0
 * @package  denver
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'Denver_WooCommerce' ) ) :
	/**
	 * The main Denver_WooCommerce class
	 */
	class Denver_WooCommerce {
		/**
		 * Setup class.
		 *
		 * @since 1.0.0
		 */
		public function __construct() {
			add_action( 'after_setup_theme', array( $this, 'setup' ), 10 );
		}

		/**
		 * Sets up theme defaults and registers support for various WordPress features.
		 *
		 * Note that this function is hooked into the after_setup_theme hook, which
		 * runs before the init hook. The init hook is too late for some features, such
		 * as indicating support for post thumbnails.
		 *
		 * @since 1.0.0
		 */
		public function setup() {
			add_theme_support( 'wc-product-gallery-zoom'     );
			add_theme_support( 'wc-product-gallery-lightbox' );
			add_theme_support( 'wc-product-gallery-slider'   );
		}
	}
endif;

return new Denver_WooCommerce();
